/* Feuille CSS du site CV */

/*General*/

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

img,
iframe,
video {
    max-width: 100%;
    vertical-align: middle;
}

.conteneur {
    width: 1200px;
    margin: auto;

}


a {
    text-decoration: none;
    color: #fff;
    transition: all 0.7s ease;
}


a:hover {
    color: #21605e;
}


h1 {

    font-family: 'Candal', sans-serif;
    text-transform: uppercase;

}


h2 {

    text-transform: uppercase;
    font-weight: 100;
    font-size: 20px;
}

body {

    font-family: 'Lato', sans-serif;
    line-height: 150%;
    letter-spacing: 1px;
}

/*Header*/

/*Contact en haut */

.fondcontact{
    
    background-color: #292929;
    min-height: 56px;
}

.fondcontact .conteneur {
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    min-height: 56px;
}

.contacttop, .socialtop {
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-top: 10px;
    padding-bottom: 10px;
    color: #fff;
    font-size: 14px;
}

.contacttop p {
    
    padding-right: 15px;
}

.socialtop p {
    
    padding-left: 15px;
    font-size: 25px;
}

.socialtop p a:hover {
    display: block;
    transform: rotate(360deg);
    color: #fff;
}

.contacttop .fas {
    padding-right: 10px;
    font-size: 20px;
}

/*Image d'en tête*/

.fond1 {

    background: linear-gradient(rgba(92, 145, 135, 0.95),
        rgba(92, 145, 135, 0.68)), url(../img/header-site-cv-marieldc-developpement-web3.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;

}

.fond1 .entete {


    text-align: center;
    color: #fff;
    padding-top: 194px;
    padding-bottom: 250px;
}

.fond1 .conteneur h1 {

    font-size: 70px;
    line-height: 200%;

}

.fond1 .entete h2 {

    font-weight: 100;
    text-transform: uppercase;
    font-size: 30px;
    line-height: 150%;

}

.fond1 .entete p {

    font-size: 20px;
    padding-top: 15px;
}



/*Menu*/

.fond2 {

    background-color: #292929;
    position: sticky;
    top: 0;
    z-index: 20;
}


#menu ul {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    list-style: none;
}

#menu ul li {

    padding: 10px 0;
    display: inline-block;
    margin-top: 10px;
}

#menu ul li a {

    text-transform: uppercase;
    color: #fff;
    display: block;
    padding: 10px;
    font-size: 20px;
    
}



#menu a:after {
  clear: both;
  display: block;
  content: "";
  position: relative;
  width: 0;
  left: 50%;
  height: 3px;
  margin-top: 10px;
  background: #fff;
  -moz-transition: width 0.5s, left 0.5s;
  -o-transition: width 0.5s, left 0.5s;
  -webkit-transition: width 0.5s, left 0.5s;
  transition: width 0.5s, left 0.5s;
}
#menu a:hover::after, #menu a:focus::after{
  width: 100%;
  left: 0;
}


/*Menu mobile*/

#menu-mobile {
    display: none;


}


#menu-mobile .btn {
    cursor: pointer;
    display: block;
    color: #fff;
    font-size: 35px;
    padding-bottom: 20px;
    padding-top: 20px;
    text-align: center;
}

#menu-mobile ul {
    padding-top: 0.5rem;
    list-style: none;
    text-align: center;
    text-transform: uppercase;
}

#menu-mobile li {
    background-color: #292929;
}

#menu-mobile a {
    padding: 20px;
    display: block;
    color: white;
  
}

#menu-mobile a:after {
  clear: both;
  display: block;
  content: "";
  position: relative;
  width: 0;
  left: 50%;
  height: 1px;
  margin-top: 10px;
  background: #fff;
  -moz-transition: width 0.5s, left 0.5s;
  -o-transition: width 0.5s, left 0.5s;
  -webkit-transition: width 0.5s, left 0.5s;
  transition: width 0.5s, left 0.5s;
}

#menu-mobile a:hover::after, #menu-mobile a:focus::after{
  width: 100%;
  left: 0;
}




/*A propos*/

.fond3 {

    background-color: #35a49d;
    padding-top: 40px;
    padding-bottom: 90px;
}


.intro {


    margin-bottom: 35px;
    border-left: 8px solid #9ed1ce;


}

.fond3 h1 {


    font-size: 64px;
    color: #fff;
    padding-left: 20px;
    margin-bottom: 0;
    line-height: 150%;


}

.fond3 h2 {

    color: #fff;
    font-weight: 100;
    padding-left: 20px;
    padding-bottom: 35px;
    line-height: 150%;
}

.contenu {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.resume {

    max-width: 850px;
    min-height: 410px;
    color: #fff;
    font-size: 18px;
    text-align: justify;
    padding-top: 20px;
}

.dl {

    border: 1px solid #242424;
    border-radius: 5px;
    width: 200px;
    text-align: center;
    margin-top: 45px;
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: #242424;
}

.dl a {

    color: #fff;
    text-transform: uppercase;
    font-size: 14px;
}


.dl:hover {

    background-color: #5dc4ad;
}


/* Compétences */


.fondcomp {
  
    background: linear-gradient(rgba(41, 41, 41, 0.94),
        rgba(41, 41, 41, 0.68)),url(../img/fond-comp-site-cv-marieldc-developpement-web2.jpg);
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    padding-top: 40px;
    padding-bottom: 90px;
}


.fondcomp .intro {


    margin-bottom: 35px;
    border-left: 8px solid #808080;


}


.fondcomp h1 {

    font-size: 64px;
    color: #fff;
    padding-left: 20px;
    margin-bottom: 0;
    line-height: 150%;
}

.fondcomp h2 {

    color: #fff;
    font-weight: 100;
    padding-left: 20px;
    padding-bottom: 35px;
    line-height: 150%;
}

.competences {
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    color: #fff;
}

.contenucomp {
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-top: 30px;
}

.contenucomp .icone {
    
    padding-right: 20px;
    padding-left: 20px;
    padding-bottom: 20px;
}

.gras {
    
    font-weight: 700;
    font-size: 18px;
}

.texteicone {
    
    width: 300px;
}

/*Réalisations*/


.portfolio {

    padding-top: 30px;
    padding-bottom: 70px;
}

.portfolio .intro {

    border-left: 8px solid #000000;
}

.portfolio h1 {

    font-size: 64px;
    color: #000;
    padding-left: 20px;
    margin-bottom: 0;
    line-height: 150%;
}

.portfolio h2 {

    color: #000;
    font-weight: 100;
    padding-left: 20px;
    padding-bottom: 35px;
    line-height: 150%;
}

.portfolio .rea {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;

}




.rea .projet {

    margin-bottom: 20px;
    transition: transform .2s;
    filter: grayscale(100%);
}

.rea .projet:hover {

    transform: scale(1.1);
    border: none;
    cursor: pointer;
    filter: none;

}



/*Contact*/

.fond4 {

    background-color: #35a49d;
    padding-top: 40px;
    padding-bottom: 70px;
}

.fond4 .intro {

    display: block;
    margin-top: 20px;
    margin-bottom: 40px;
    border-left: 8px solid #9ed1ce;
}

.fond4 h1 {

    font-size: 64px;
    color: #fff;
    padding-left: 20px;
    margin-bottom: 0;
    line-height: 150%;
}

.fond4 .intro h2 {

    color: #fff;
    font-weight: 100;
    padding-left: 20px;
    padding-bottom: 35px;
}

.contactfooter {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.contactfooter h2 {

    color: #fff;
    padding-bottom: 20px;
}

/*Formulaire de contact*/

.contact {

    width: 50%;
}

.contact form input,
.contact form textarea {

    margin-bottom: 10px;
}

.contactfooter .contact form input[type="text"],
.contactfooter .contact form input[type="email"],
.contactfooter .contact form textarea {

    width: 100%;
    background-color: #1e5a56;
    color: #35a49d;
    border: none;
    border-radius: 3px;
}

.contact input[placeholder],
.contact textarea[placeholder] {

    padding: 10px;
}

.contact input[type="submit"] {

    border-radius: 3px;
    border: none;
    padding: 10px;
    background-color: #242424;
    text-transform: uppercase;
    color: #fff;
    cursor: pointer;
    float: right;
}

.contact input[type="submit"]:hover {

    background-color: #5dc4ad;
    color: #242424;
}






/*Footer*/

.fond5 {

    background-color: #242424;
    color: #fff;
    padding: 20px 0px;
}

.fond5 .conteneur {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.socialbot{
   
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    font-size: 25px;
    padding-top: 20px;
}

.socialbot p:first-child{
    
    padding-right: 15px;
}

